//
//  SWCalculator.m
//  SWC
//
//  Created by Kyoung Shin Park on 9/30/11.
//  Copyright 2011 __dis__. All rights reserved.
//

#import "SWCalculator.h"


@implementation SWCalculator

@synthesize height;
@synthesize weight;
@synthesize gender;

-(id) init {
    self = [super init];
    if (self) {
        height = 0.0f;
        weight = 0.0f;
        gender = Male;
    }
    return self;
}

-(float) calculateSW{
    if (gender == Male) {
        return height * height * 22 * 0.0001f;
    }
    return height * height * 21 * 0.0001f;
}

-(NSString *) calculateBMI {
    float bmi = weight / (height*0.01f) / (height*0.01f);
    NSLog(@"bmi=%f", bmi);
    if (bmi < 20.0)
        return @"Underweight";
    else if (bmi >= 20.0 && bmi < 24.0)
        return @"Normal";
    else if (bmi >= 24.0 && bmi < 30.0)
        return @"Overweight";
    return @"Obesity";
}
@end
