//
//  SWCViewController.h
//  SWC
//
//  Created by Kyoung Shin Park on 9/30/11.
//  Copyright 2011 __dis__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SWCalculator.h"

@interface SWCViewController : UIViewController {
    UITextField *heightTextField;
    UITextField *weightTextField;
    UISegmentedControl *genderSegmentedControl;
    UIButton *calculateButton;
    SWCalculator *calculator;   // model
}

@property (nonatomic, retain) IBOutlet UITextField *heightTextField;
@property (nonatomic, retain) IBOutlet UITextField *weightTextField;
@property (nonatomic, retain) IBOutlet UISegmentedControl *genderSegmentedControl;
@property (nonatomic, retain) IBOutlet UIButton *calculateButton;

- (IBAction)calculate:(id)sender;
- (IBAction)doneButtonOnKeyboardPressed:(id)sender;

@end
